MetalBorders (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.metal, class: MetalBorders
Keywords: javax.swing.plaf.metal.MetalBorders class

# Class MetalBorders

java.lang.Object
javax.swing.plaf.metal.MetalBorders

public class MetalBorders extends Object
Factory object that can vend Borders appropriate for the metal L & F.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `MetalBorders.ButtonBorder`
  The class represents the border of a `JButton`.
  `static class`
  `MetalBorders.Flush3DBorder`
  The class represents the 3D border.
  `static class`
  `MetalBorders.InternalFrameBorder`
  The class represents the border of a `JInternalFrame`.
  `static class`
  `MetalBorders.MenuBarBorder`
  The class represents the border of a `JMenuBar`.
  `static class`
  `MetalBorders.MenuItemBorder`
  The class represents the border of a `JMenuItem`.
  `static class`
  `MetalBorders.OptionDialogBorder`
  The class represents the border of an option dialog.
  `static class`
  `MetalBorders.PaletteBorder`
  Border for a Palette.
  `static class`
  `MetalBorders.PopupMenuBorder`
  The class represents the border of a `JPopupMenu`.
  `static class`
  `MetalBorders.RolloverButtonBorder`
  The class represents the border of a rollover `Button`.
  `static class`
  `MetalBorders.ScrollPaneBorder`
  The class represents the border of a `JScrollPane`.
  `static class`
  `MetalBorders.TableHeaderBorder`
  Border for a Table Header
  `static class`
  `MetalBorders.TextFieldBorder`
  Border for a `JTextField`.
  `static class`
  `MetalBorders.ToggleButtonBorder`
  Border for a `JToggleButton`.
  `static class`
  `MetalBorders.ToolBarBorder`
  The class represents the border of a `JToolBar`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetalBorders()`
  Constructs a `MetalBorders`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Border`
  `getButtonBorder()`
  Returns a border instance for a `JButton`.
  `static Border`
  `getDesktopIconBorder()`
  Returns a border instance for a Desktop Icon.
  `static Border`
  `getTextBorder()`
  Returns a border instance for a text component.
  `static Border`
  `getTextFieldBorder()`
  Returns a border instance for a `JTextField`.
  `static Border`
  `getToggleButtonBorder()`
  Returns a border instance for a `JToggleButton`.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### MetalBorders

    public MetalBorders()
    Constructs a `MetalBorders`.

- ## Method Details

  - ### getButtonBorder

    public static Border getButtonBorder()
    Returns a border instance for a `JButton`.
    Returns:
      a border instance for a `JButton`
    Since:
      1.3

  - ### getTextBorder

    public static Border getTextBorder()
    Returns a border instance for a text component.
    Returns:
      a border instance for a text component
    Since:
      1.3

  - ### getTextFieldBorder

    public static Border getTextFieldBorder()
    Returns a border instance for a `JTextField`.
    Returns:
      a border instance for a `JTextField`
    Since:
      1.3

  - ### getToggleButtonBorder

    public static Border getToggleButtonBorder()
    Returns a border instance for a `JToggleButton`.
    Returns:
      a border instance for a `JToggleButton`
    Since:
      1.3

  - ### getDesktopIconBorder

    public static Border getDesktopIconBorder()
    Returns a border instance for a Desktop Icon.
    Returns:
      a border instance for a Desktop Icon
    Since:
      1.3